#!/bin/bash

# installation script

if [ "${INCDIR}" != "" ] ; then		# install directory
	INSTDIR="${INCDIR}" ;
else
	INSTDIR="/Csound/Include" ;
fi

if ( ! ( test -d "${INSTDIR}" ) ) ; then
	if ( test -e "${INSTDIR}" ) ; then
		echo -e "${INSTDIR}: not a directory" ; exit -1 ;
	fi
	mkdir -p "${INSTDIR}" ; chmod 755 "${INSTDIR}" ;
fi

for i in	"Delays.include.orc"		\
		"Effects.Header.orc"		\
		"HRTF_Stereo.include.orc"	\
		"Plain_Stereo.include.orc"	\
		"Spatial_Stereo.include.orc"	\
		"spat.h.orc"			\
		"spat_def.h.orc"		; do

		SRC="./${i}" ; DST="${INSTDIR}/${i}"
		rm -f "${DST}"				# remove old file
		cp -af "${SRC}" "${DST}"		# install new version
		chown 0:0 "${DST}" 2> /dev/null		# set permissions
		chmod 444 "${DST}"
		if ( ! ( diff "${SRC}" "${DST}" > /dev/null 2>&1 ) ) ; then
			echo -e "Error copying ${i}" ; exit -1 ;
		fi ;
done

